/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 * Lisa Reese
 *
 */

/*
 * XMLCSettingsCustomizer.java
 *
 * Created on May 3, 2001, 9:58 AM
 */

package org.enhydra.kelp.forte;

import org.enhydra.kelp.forte.node.ForteProject;
import org.enhydra.kelp.common.properties.XMLCProjectPropertyPanel;

import java.beans.Customizer;
import java.beans.PropertyChangeListener;

/**
 *
 * @author  rees0234
 * @version
 */
public class XMLCSettingsCustomizer extends XMLCProjectPropertyPanel implements Customizer {

//    protected DeploySettings settings;

    public XMLCSettingsCustomizer()
    {
        super();
        setSaveOnClose(true);
    }

    public void setObject(Object ob)
    {
        ForteProject project = new ForteProject();
        read(project);
    }

    public void addPropertyChangeListener(PropertyChangeListener l)
    {}

    public void removePropertyChangeListener(PropertyChangeListener l)
    {}
}


