package org.enhydra.kelp.ant.deployer;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author unascribed
 * @version 1.0
 */

// ToolBox imports
import org.enhydra.tool.common.ButtonPanel;

// Standard imports
import java.awt.Window;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.lang.ref.WeakReference;


public class AntDeployButtonListener implements ActionListener {
    private WeakReference ref = null;

    public AntDeployButtonListener(AntDeployTool tool) {
        ref = new WeakReference(tool);
    }

    /**
     * ActionListener implementation.
     *
     * @param event
     * Event that triggered this listener.
     *
     */
    public void actionPerformed(ActionEvent event) {
        String command = event.getActionCommand();

        if (command.equals(ButtonPanel.COMMAND_CANCEL)) {
                getTool().closeWindow();
        } else if (command.equals(ButtonPanel.COMMAND_DEPLOY)) {
                getTool().getProject().save();
                getTool().build();
        } else if (command.equals(ButtonPanel.COMMAND_CLOSE)) {
                getTool().getProject().save();
                getTool().closeWindow();
        } else if (command.equals(ButtonPanel.COMMAND_HELP)) {
//                getTool().notifyHelpListeners(event.getSource());
                getTool().showHelp(null);
        } else if (command.equals(ButtonPanel.COMMAND_ABOUT)) {
                getTool().showAbout();
        }
    }

    private AntDeployTool getTool() {
        return (AntDeployTool) ref.get();
    }

}

