package org.enhydra.kelp.ant.deployer;

import org.enhydra.tool.common.ButtonPanel;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author unascribed
 * @version 1.0
 */

public class AntDeployButtonPanel extends ButtonPanel {
    JButton jButtonDeploy = new JButton();
    JButton jButtonAbout = new JButton();
    JButton jButtonHelp = new JButton();
    JButton jButtonClose = new JButton();
    JButton jButtonCancel = new JButton();

    public AntDeployButtonPanel() {
        try {
            jbInit();
            pmInit();
        }
        catch(Exception e) {
            e.printStackTrace();
        }
    }
    private void jbInit() throws Exception {
        jButtonDeploy.setText("Deploy");
        jButtonAbout.setText("About");
        jButtonHelp.setText("Help");
        jButtonClose.setText("Close");
        jButtonCancel.setText("Cancel");
        this.add(jButtonAbout,              new GridBagConstraints(4, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 5, 10, 0), 0, 0));
        this.add(jButtonClose,             new GridBagConstraints(1, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 10, 6), 0, 0));
        this.add(jButtonDeploy,              new GridBagConstraints(0, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 10, 6), 0, 0));
        this.add(jButtonCancel,        new GridBagConstraints(2, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 0, 10, 26), 0, 0));
        this.add(jButtonHelp,      new GridBagConstraints(3, 0, 1, 1, 0.0, 0.0
            ,GridBagConstraints.CENTER, GridBagConstraints.NONE, new Insets(0, 54, 10, 0), 0, 0));
    }

    private void pmInit(){
        LocalButtonListener buttonListener = new LocalButtonListener();

        jButtonDeploy.setText(ButtonPanel.COMMAND_DEPLOY);
        jButtonDeploy.setActionCommand(ButtonPanel.COMMAND_DEPLOY);
        jButtonDeploy.addActionListener(buttonListener);

        jButtonAbout.setText(ButtonPanel.COMMAND_ABOUT);
        jButtonAbout.setActionCommand(ButtonPanel.COMMAND_ABOUT);
        jButtonAbout.addActionListener(buttonListener);

        jButtonHelp.setText(ButtonPanel.COMMAND_HELP);
        jButtonHelp.setActionCommand(ButtonPanel.COMMAND_HELP);
        jButtonHelp.addActionListener(buttonListener);

        jButtonClose.setText(ButtonPanel.COMMAND_CLOSE);
        jButtonClose.setActionCommand(ButtonPanel.COMMAND_CLOSE);
        jButtonClose.addActionListener(buttonListener);

        jButtonCancel.setText(ButtonPanel.COMMAND_CANCEL);
        jButtonCancel.setActionCommand(ButtonPanel.COMMAND_CANCEL);
        jButtonCancel.addActionListener(buttonListener);
    }

    private class LocalButtonListener implements ActionListener {

        /**
         * ActionListener implementation.
         *
         * @param event
         * Event that triggered this listener.
         *
         */
        public void actionPerformed(ActionEvent e) {
            Object      source = null;
            ActionEvent event = null;

            source = e.getSource();
            if (source == jButtonDeploy) {
                event = new ActionEvent(jButtonDeploy, ButtonPanel.DEPLOY,
                                        jButtonDeploy.getActionCommand());
            } else if (source == jButtonClose) {
                event = new ActionEvent(jButtonClose, ButtonPanel.CLOSE,
                                        jButtonClose.getActionCommand());
            } else if (source == jButtonHelp) {
                event = new ActionEvent(jButtonHelp, ButtonPanel.HELP,
                                        jButtonHelp.getActionCommand());
            } else if (source == jButtonAbout) {
                event = new ActionEvent(jButtonAbout, ButtonPanel.ABOUT,
                                        jButtonAbout.getActionCommand());
            } else if (source == jButtonCancel) {
                event = new ActionEvent(jButtonCancel, ButtonPanel.CANCEL,
                                        jButtonCancel.getActionCommand());
            }
            if (event != null) {
                notifyActionListeners(event);
            }
        }

    }

}