package org.enhydra.kelp.ant.deployer;

import java.awt.*;
//import com.borland.jbcl.layout.*;
import org.enhydra.tool.swing.layout.*;
import javax.swing.*;
import javax.swing.border.*;
import java.util.ResourceBundle;
import org.enhydra.kelp.ant.node.AntProject;
import org.enhydra.kelp.common.node.OtterProject;
import java.awt.event.*;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author unascribed
 * @version 1.0
 */

public class AntDeployContentPanel extends JPanel {

  static ResourceBundle res = ResourceBundle.getBundle(
                            "org.enhydra.kelp.common.Res");

    XYLayout xYLayout1 = new XYLayout();
    JLabel jLabelHeading = new JLabel();
    JTextArea jTextAreaDescription = new JTextArea();
    JCheckBox jCheckEnable = new JCheckBox();
    TitledBorder titledBorder1;
    JTabbedPane tab = new JTabbedPane();
    AntDeployContentPathsPanel pathsPanel = new AntDeployContentPathsPanel();
    AntDeployContentTypesPanel typesPanel = new AntDeployContentTypesPanel();
    AntProject project = null;

    public AntDeployContentPanel() {
        try {
            jbInit();
            pmInit();
        }
        catch(Exception ex) {
            ex.printStackTrace();
        }
    }

    private void pmInit() {
        tab.add(res.getString("Paths"), pathsPanel);
        tab.add(res.getString("Types"), typesPanel);
    }
    void jbInit() throws Exception {
        jLabelHeading.setFont(new java.awt.Font("Dialog", 1, 12));
        jLabelHeading.setText(res.getString("Web_content"));
        this.setLayout(xYLayout1);
        jTextAreaDescription.setBackground(SystemColor.control);
        jTextAreaDescription.setEnabled(false);
        jTextAreaDescription.setFont(new java.awt.Font("SansSerif", 0, 12));
        jTextAreaDescription.setDisabledTextColor(SystemColor.controlText);
        jTextAreaDescription.setEditable(false);
        jTextAreaDescription.setText(res.getString("Content_description"));
        jTextAreaDescription.setLineWrap(true);
        jTextAreaDescription.setWrapStyleWord(true);
        jCheckEnable.setText(res.getString("Content_enable"));
        jCheckEnable.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(ActionEvent e) {
                jCheckEnable_actionPerformed(e);
            }
        });
        xYLayout1.setWidth(547);
        xYLayout1.setHeight(329);
        this.add(jLabelHeading, new XYConstraints(12, 11, 189, 22));
        this.add(jTextAreaDescription,         new XYConstraints(12, 40, 520, 38));
        this.add(jCheckEnable,   new XYConstraints(10, 84, 193, 22));
        this.add(tab,     new XYConstraints(10, 120, 523, 229));
    }

    public void setProject(OtterProject otterProject){
        //Paths init
        pathsPanel.setProject(otterProject);
        typesPanel.setProject(otterProject);

        if(otterProject instanceof AntProject) {
            project = (AntProject) otterProject;
            initOptions();
        }
        else
            System.err.println("DEBUG project must be AntProject");//FIXME throw Exception
    }
    //Fill dialogs from project properties
    private void initOptions(){
        if(project.getProperty(AntProject.DEPLOY_CONTENT_ENABLED).equalsIgnoreCase("true"))
            jCheckEnable.setSelected(true);
        else
            jCheckEnable.setSelected(false);
    }

    void jCheckEnable_actionPerformed(ActionEvent e) {
        if (jCheckEnable.isSelected()) {
            project.setProperty(AntProject.DEPLOY_CONTENT_ENABLED, "true");
        }
        else {
            project.setProperty(AntProject.DEPLOY_CONTENT_ENABLED, "false");
        }
    }
}