package org.enhydra.kelp.ant.node;

//Kelp imports
import org.enhydra.kelp.common.node.OtterDocumentNode;
import org.enhydra.kelp.common.node.OtterNode;
import org.enhydra.kelp.common.PropUtil;

// Enhydra imports
import org.enhydra.xml.xmlc.XMLCException;

// Standard imports
import java.io.IOException;

/**
 * <p>Title: </p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2003</p>
 * <p>Company: </p>
 * @author Damir Milovic
 * @version 1.0
 */

public class AntDocumentNode extends AntFileNode
                            implements OtterDocumentNode {

  protected String staticFile = "false";

  public AntDocumentNode(OtterNode n) {
    super(n);
  }
  public AntDocumentNode(OtterNode node,String filePath) {
    super(node,filePath);
  }

  // Implements OtterDocumentNode --------------------------------------------
  /**
   * Override setSelected() from AntFileNode
   * @param b
   */
  public void setSelected(boolean b) {
    super.setSelected(b);
    if (b) {
        setStatic(false);
    }

  }
  public boolean isStatic() {
    String in = staticFile; // See FIXME above definition of staticFile
    return PropUtil.stringToBoolean(in, false);
  }
  public void setStatic(boolean b) {
    staticFile = PropUtil.booleanToString(b); //if not selected for XMLC, then it is static resource
    if (b) {
        setSelected(false);
    }
  }
  public void preCompile() throws XMLCException, IOException{
      //We don't need this method becouse Ant is used for compilation
       throw new java.lang.UnsupportedOperationException("Method preCompile() not implemented.");
  }
}