/*
 * Enhydra Java Application Server Project
 *
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 *
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See
 * the License for the specific terms governing rights and limitations
 * under the License.
 *
 * The Initial Developer of the Enhydra Application Server is Lutris
 * Technologies, Inc. The Enhydra Application Server and portions created
 * by Lutris Technologies, Inc. are Copyright Lutris Technologies, Inc.
 * All Rights Reserved.
 *
 * Contributor(s):
 * Lisa Reese
 *
 */

/*
 * ForteImageFileNode.java
 *
 * Created on May 7, 2001, 3:52 PM
 */

package org.enhydra.kelp.forte.node;

import org.enhydra.kelp.common.node.OtterImageFileNode;
import org.enhydra.kelp.common.node.OtterNode;

import org.openide.loaders.DataObject;
import org.netbeans.modules.image.ImageDataObject;
/**
 *
 * @author  rees0234
 * @version 
 */
public class ForteImageFileNode extends ForteNode implements OtterImageFileNode {

    /** Creates new ForteImageFileNode */
   public ForteImageFileNode(ImageDataObject nativeNode) {  
        super(nativeNode);
    }

    /**
     * Constructor declaration
     *
     * @param otterNode
     * @param file
     */
    public ForteImageFileNode(OtterNode otterNode, String path) {
        super(otterNode, path);
    }
}
