
package org.enhydra.tool.archive.xml;
//
import java.io.IOException;
import java.io.Reader;
import java.io.FilterReader;
//
public class DocTypeFilterReader extends FilterReader {
    public DocTypeFilterReader(Reader in) {
        super(in);
    }

    public int read(char buf[], int off, int len) throws IOException {
        int          nRead = in.read(buf, off, len);
        int          index = -1;
        int          top = (nRead == -1 ? len : nRead);
        StringBuffer sb = new StringBuffer();

        for (int i = 0; i < top; i++) {
            if ((i + 1) < top) {
                if (buf[i] == '<' && buf[i + 1] == '!') {
                    while (buf[i] != '>' && i < top) {
                        i++;
                    }
                } else {
                    sb.append(buf[i]);
                }
            } else {
                sb.append(buf[i]);
            }
        }
        char[] newBuf = sb.toString().toCharArray();

        for (int i = 0; i < buf.length; i++) {
            if (i < newBuf.length) {
                buf[i] = newBuf[i];
            } else {
                buf[i] = 0;
            }
        }
        if (nRead > -1) {
            nRead = sb.toString().toCharArray().length;
        }
        return nRead;
    }

}
